Actions / Media
List media folders
Read onlylist_media_folders
Media Library folders with id, name and parent folder.
Needs the read scope. Looks things up. Changes nothing.
Inputs
| Input | Type | Required | Description |
|---|---|---|---|
parentFolderId | integer | Folders inside this one; leave out for the top level |
REST
curl https://chirpy.me/api/v1/list_media_folders \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'MCP
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "list_media_folders",
"arguments": {}
}
}MCP hints: readOnlyHint: true, destructiveHint: false, idempotentHint: true, openWorldHint: false.
